org.modeshape.sequencer.javafile.metadata

## Class TypeMetadata

- java.lang.Object
- - org.modeshape.sequencer.javafile.metadata.AbstractMetadata
  - - org.modeshape.sequencer.javafile.metadata.TypeMetadata

- Direct Known Subclasses:
    EnumMetadata

      public class TypeMetadata
      extends AbstractMetadata

  Exposes meta data of a top level type.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TypeMetadata.Type`

  - ### Field Summary

    - ### Fields inherited from class org.modeshape.sequencer.javafile.metadata.AbstractMetadata

      `ABSTRACT, FINAL, name, NATIVE, PRIVATE, PROTECTED, PUBLIC, STATIC, STRICT_FP, SYNCRHONIZED, TRANSIENT, VOLATILE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TypeMetadata(String name, TypeMetadata.Type type)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TypeMetadata` | `classType(String name)`
    `static EnumMetadata` | `enumType(String name)`
    `List<FieldMetadata>` | `getFields()` Gets a ordered lists of `FieldMetadata` from the unit.
    `List<String>` | `getInterfaceNames()`
    `List<MethodMetadata>` | `getMethods()` Gets all `MethodMetadata` from the unit.
    `String` | `getSuperTypeName()`
    `TypeMetadata.Type` | `getType()`
    `static TypeMetadata` | `interfaceType(String name)`
    `void` | `setSuperTypeName(String superTypeName)`

    - ### Methods inherited from class org.modeshape.sequencer.javafile.metadata.AbstractMetadata

      `getAnnotations, getModifiers, getName, hasAbstractModifier, hasFinalModifier, hasNativeModifier, hasPrivateVisibility, hasProtectedVisibility, hasPublicVisibility, hasStaticModifier, hasStrictFPModifier, hasSynchronizedModifier, hasTransientModifier, hasVolatileModifier, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TypeMetadata

          protected TypeMetadata(String name,
                      TypeMetadata.Type type)

  - ### Method Detail

    - #### getInterfaceNames

          public List<String> getInterfaceNames()

    - #### getFields

          public List<FieldMetadata> getFields()

      Gets a ordered lists of `FieldMetadata` from the unit.
      Returns:
        all fields of this unit if there is one.

    - #### getMethods

          public List<MethodMetadata> getMethods()

      Gets all `MethodMetadata` from the unit.
      Returns:
        all methods from the units.

    - #### getType

          public TypeMetadata.Type getType()

    - #### getSuperTypeName

          public String getSuperTypeName()

    - #### setSuperTypeName

          public void setSuperTypeName(String superTypeName)

    - #### classType

          public static TypeMetadata classType(String name)

    - #### enumType

          public static EnumMetadata enumType(String name)

    - #### interfaceType

          public static TypeMetadata interfaceType(String name)

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.